package org.remote.roadhog;

import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;
import javax.swing.table.TableModel;

public abstract class ReadOnlyTableModel implements TableModel
{

	private TableModelEvent tme = new TableModelEvent (this);
	private TableModelListener listener;

	public void refresh ()
	{
		if (listener != null) listener.tableChanged (tme);
	}	

	public abstract Class getColumnClass (int index);
	public abstract int getColumnCount ();
	public abstract String getColumnName (int index);
	public abstract int getRowCount ();
	public abstract Object getValueAt (int row, int col);

	public boolean isCellEditable (int row, int col) { return false; }
	public void setValueAt (Object o, int row, int col) { /* ignore */ }
	public void addTableModelListener (TableModelListener l)  { listener = l; };
	public void removeTableModelListener (TableModelListener l) { };
	
}
